%m014
%Aplica filtro espacial simple
A=double(imread('_im_lenna_256.bmp'));
A=rgb2gray(A);
[nf nc]=size(A);

subplot(1,2,1);
imshow(A,[]); %[] significa que ajusta automáticamente el mínimo y máximo

B=zeros(nf,nc);

%ojo sin bordes...
borde=1;
for f=1+borde:nf-borde
   for c=1+borde:nc-borde
    G=zeros(1,9);  
    i=1;
    for ff=-borde:borde
        for cc=-borde:borde
           G(i)=A(f+ff,c+cc);
           i=i+1;
        end;
     end;
     
     for i=1:8
        for j=i+1:9
           if G(j)<G(i)
              aux=G(i);
              G(i)=G(j);
              G(j)=aux;
           end;
        end;
     end;
     B(f,c)=G(5);
   end;
end;

subplot(1,2,2);
imshow(B,[]); %[] significa que ajusta automáticamente el mínimo y máximo

